<div class="main-wrapper">
<div class="h1-block">
  <h1>Add new post</h1>
</div>  
<%= form_with scope: :post, url: posts_path, local: true, html: { multipart: true } do |form| %>
  <%= form.hidden_field :user_id, :value => current_user.id %>

  <% if @post.errors.any? %>
    <div id="error_explanation">
      <h2>
        <%= pluralize(@post.errors.count, "error") %> prohibited
        this article from being saved:
      </h2>
      <ul>
        <% @post.errors.full_messages.each do |msg| %>
          <li><%= msg %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div class="form-group">
    <%= form.label :image %><br>
    <%= form.file_field :image, :class=> "form-control" %>
  </div>

  <div class="form-group">
    <%= form.label :title %><br>
    <%= form.text_field :title, :class=> "form-control" %>
  </div>

  <div class="form-group">
    <%= form.label :perex %><br>
    <%= form.text_area :perex, :class=> "form-control" %>
  </div>

  <div class="form-group">
    <%= form.label :text %><br>
    <%= form.cktext_area :text, :class=> "form-control ckeditor", ckeditor: { language: 'en'} %>
  </div>

    <%= form.label :tags %>
    <div class="form-check form-check-inline">
    <% Tag.all.each do |tag| %>
      <%= form.label tag.name, {class: "form-check-label"} %>
      <%= form.check_box :tag_ids,{multiple: true, checked: false, class: 'form-check-input'}, tag.id, nil %>
        &nbsp;&nbsp;
    <% end %>
  </div>

    <br>

    <div class="form-group">
    <%= form.label :author %><br>
    <%= current_user.name %>
  </div>


  <div class="form-group">
  <%= fields_for :post_options do |post_options_form| %>
      <%= post_options_form.label "Public post" %> 
      <%= post_options_form.check_box :public, {checked: true} %> 

    <!-- </div> -->
    <!-- <div class="checkbox">  -->
      <%= post_options_form.label "Allow comments" %> 
      <%= post_options_form.check_box :comments_allowed, {checked: true} %>  <br />

      <%= post_options_form.label "Show comments only after approval" %>
      <%= post_options_form.check_box :comment_needs_approval, {checked: false} %>
  <% end %>
  </div>  

  <%= form.submit 'Create post', :class => 'btn btn-lg btn-black' %>

<% end %>


<%= link_to posts_path, class: "btn btn-back" do %>
  <span class="glyphicon glyphicon-arrow-left"></span> Back
<% end %>
<p></p>

</div>

